
Redmine - Defect #5751

developer role is mispelled

2010-06-24 16:07 - Anonymous

Status: Closed Start date: 2010-06-24

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

in lib/redmine/default_data/loader.rb and all config/locales/ files default_role_developper variable is mispelled

examples:

lib/redmine/default_data/loader.rb

developper = Role.create! :name => l(:default_role_developper)

 config/locales/en.yml

default_role_developper: Developer

for clarity purposes developper should be correctly spelled as developer    

redmine version: latest trunk r3813

Associated revisions

Revision 3820 - 2010-06-30 03:55 - Eric Davis

Rename code and locale typo: Developper. #5751

Contributed by Holger Just

History

#1 - 2010-06-28 22:24 - Holger Just

- File 0001_rename_developper_to_developer.diff added

The attached patch renames all occurrences of developper to developer.

#2 - 2010-06-30 03:30 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- Estimated time deleted (0.10 h)

I was wondering if developper was the French spelling or something.  I'll add this to 1.0.

#3 - 2010-06-30 03:46 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

Committed in r3820.  Thanks for the patch.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3813
https://www.redmine.org/projects/redmine/repository/svn/revisions/3820


Files

0001_rename_developper_to_developer.diff 23.8 KB 2010-06-28 Holger Just
